<!DOCTYPE html>
<html lang="en"
      xmlns:th="http://www.thymeleaf.org"
      xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
      xmlns:sec="http://www.thymeleaf.org/extras/spring-security"
      layout:decorate="~{layout_baru}">
<head>
    <meta charset="UTF-8">
    <title>Home</title>
</head>
<body onload="startTime()">

<main layout:fragment="main" class="col-md-9 ms-sm-auto col-lg-10 px-md-4">
    <div class="d-flex justify-content-between flex-wrap flex-md-nowrap align-items-center pt-3 pb-2 mb-3 border-bottom">
        <h4 class="h4">Dashboard</h4>
<!--        <div class="btn-toolbar mb-2 mb-md-0">-->
<!--            <div class="btn-group me-2">-->
<!--                <button type="button" class="btn btn-sm btn-outline-secondary">Share</button>-->
<!--                <button type="button" class="btn btn-sm btn-outline-secondary">Export</button>-->
<!--            </div>-->
<!--            <button type="button" class="btn btn-sm btn-outline-secondary dropdown-toggle">-->
<!--                <span data-feather="calendar" class="align-text-bottom"></span>-->
<!--                This week-->
<!--            </button>-->
<!--        </div>-->
        <div>
            <span th:text="${#dates.format(#dates.createNow(), 'EEEE, dd MMMM yyyy')} + '&nbsp;'" class="text-secondary">Wednesday 20 Oktober 2022 12:00:00</span>
            <span id="time" class="text-secondary"></span>
        </div>

    </div>
    <div class="row">
        <div class="col-md-8">
            <div class="row">
                <div class="col-md-6">
                    <div class="shadow-sm p-3 mb-3 bg-body border rounded">
                        <canvas id="oilChart"></canvas>
                    </div>
                </div>
                <div class="col-md-6">
                    <div class="shadow-sm p-3 mb-3 bg-body border rounded">
                        <canvas id="chartPendaftar"></canvas>
                    </div>
                </div>
            </div>
            <div class="row">
                <div class="col-md-6">
                    <div class="shadow-sm p-3 mb-3 bg-body border rounded">
                        <div class="row border-bottom mb-3">
                            <div class="col-md-12">
                                <div class="d-flex justify-content-between flex-wrap flex-md-nowrap align-items-center pt-0 pb-2">
                                    <i class="fa-solid fa-clock fa-1x shadow-sm me-2" style="color: rgb(243,94,116)"></i>
                                    <b style="color: rgb(131,21,37)" class="pull-right" th:text="${dashboardKeuangan.getNamaPeriodeAnggaran()}"></b>
                                </div>
                            </div>
                        </div>

                        <div class="row mb-1">
                            <div class="col-md-5">
                                <i class="fa-solid fa-bank fa-1x shadow-sm me-2" style="color: rgb(155,193,248)"></i>
                                <span>Total Revenue</span>
                            </div>
                            <div class="col-md-1">:</div>
                            <div class="col-md-6">
                                <div class="col" align="right">
                                    <b style="color: rgba(29,78,143,0.64)" class="pull-right" th:text="${'Rp. ' + #numbers.formatDecimal(dashboardKeuangan.getTotalPenerimaan(), 0, 'POINT', 0, 'COMMA')}"></b>
                                </div>
                            </div>
                        </div>

                        <div class="row mb-1">
                            <div class="col-md-5">
                                <i class="fa-solid fa-bank fa-1x shadow-sm me-2" style="color: rgba(191,243,139,0.64)"></i>
                                <span>Total Budget</span>
                            </div>
                            <div class="col-md-1">:</div>
                            <div class="col-md-6">
                                <div class="col" align="right">
                                    <b style="color: rgba(78,138,18,0.64)" class="pull-right" th:text="${'Rp. ' + #numbers.formatDecimal(dashboardKeuangan.getTotalBudget(), 0, 'POINT', 0, 'COMMA')}"></b>
                                </div>
                            </div>
                        </div>

                        <div class="row mb-1">
                            <div class="col-md-5">
                                <i class="fa-solid fa-bell fa-1x shadow-sm me-2" style="color: rgb(206,156,95)"></i>
                                <span>Total Request</span>
                            </div>
                            <div class="col-md-1">:</div>
                            <div class="col-md-6">
                                <div class="col" align="right">
                                    <b style="color: rgb(206,156,95)" class="pull-right" th:text="${'Rp. ' + #numbers.formatDecimal(dashboardKeuangan.getRequestFund(), 0, 'POINT', 0, 'COMMA')}"></b>
                                </div>
                            </div>
                        </div>

                        <div class="row pt-1 border-top">
                            <div class="col-md-5">
                                <i class="fa-solid fa-balance-scale fa-1x shadow-sm me-2" style="color: rgb(217,138,46)"></i>
                                <span>Balance</span>
                            </div>
                            <div class="col-md-1">:</div>
                            <div class="col-md-6">
                                <div class="col" align="right">
                                    <b style="color: rgb(190,119,23)" class="pull-right" th:text="${'Rp. ' + #numbers.formatDecimal(dashboardKeuangan.getBudgetBalance(), 0, 'POINT', 0, 'COMMA')}"></b>
                                </div>
                            </div>
                        </div>

                    </div>
                </div>

                <!--        <div class="col-md-4">-->
                <!--                        <div class="shadow-sm p-3 mb-3 bg-body border rounded">-->
                <!--            <canvas id="chart"></canvas>-->
                <!--                                </div>-->
                <!--        </div>-->

                <div class="col-md-6">
                    <div class="shadow-sm p-3 mb-3 bg-body border rounded">
                        <canvas id="chartBulan"></canvas>
                    </div>
                </div>

                <!--        <div class="col-md-4">-->
                <!--            <div class="shadow-sm p-3 mb-3 bg-body border rounded">-->
                <!--                <div class="row pt-1" >-->

                <!--                </div>-->

                <!--                <table class="table table-hover table-striped table-bordered">-->
                <!--                    <thead class="table-dark" style="&#45;&#45;bs-table-bg:#15408d;">-->
                <!--                    <tr>-->
                <!--                        <th scope="col" style="width: 10px">#</th>-->
                <!--                        <th scope="col">Employes</th>-->
                <!--                        <th scope="col">Total</th>-->
                <!--                        <th scope="col">Male</th>-->
                <!--                        <th scope="col">Female</th>-->
                <!--                        <th scope="col">Permanent</th>-->
                <!--                        <th scope="col">Temporary</th>-->
                <!--                    </tr>-->
                <!--                    </thead>-->
                <!--                    <tbody>-->
                <!--                    <tr th:each="dataJumlahEmployee,row : ${jumlahEmployee}">-->
                <!--                        <td align="right" th:text="${row.index + 1}">1.</td>-->
                <!--                        <td th:text="${dataJumlahEmployee.getCompanyName()}">BEASISWA</td>-->
                <!--                        <td align="right" th:text="${dataJumlahEmployee.getTotal()}">Pendapatan dari Beasiswa</td>-->
                <!--                        <td align="right" th:text="${dataJumlahEmployee.getMale()}">-</td>-->
                <!--                        <td align="right" th:text="${dataJumlahEmployee.getFemale()}">AKTIF</td>-->
                <!--                        <td align="right" th:text="${dataJumlahEmployee.getPermanent()}">AKTIF</td>-->
                <!--                        <td align="right" th:text="${dataJumlahEmployee.getTemporary()}">AKTIF</td>-->
                <!--                    &lt;!&ndash;                        <td>&ndash;&gt;-->
                <!--                    &lt;!&ndash;                            <a th:href="@{/masterdata/departemen/edit(departemen = ${dataDepartemen.id})}" class="link link-success">Edit</a>&ndash;&gt;-->
                <!--                    &lt;!&ndash;                        </td>&ndash;&gt;-->
                <!--                    &lt;!&ndash;                        <td>&ndash;&gt;-->

                <!--                    &lt;!&ndash;                            <form method="post" th:action="@{/masterdata/departemen/hapus(departemen=${dataDepartemen.id})}">&ndash;&gt;-->
                <!--                    &lt;!&ndash;                                <button type="submit" class="btn btn-danger btn-xs" style="&#45;&#45;bs-btn-padding-y: .25rem; &#45;&#45;bs-btn-padding-x: .5rem; &#45;&#45;bs-btn-font-size: .75rem;"&ndash;&gt;-->
                <!--                    &lt;!&ndash;                                        onclick="return confirm('Are you sure want to delete this?')">&ndash;&gt;-->
                <!--                    &lt;!&ndash;                                    Delete&ndash;&gt;-->
                <!--                    &lt;!&ndash;                                </button>&ndash;&gt;-->
                <!--                    &lt;!&ndash;                            </form>&ndash;&gt;-->
                <!--                    &lt;!&ndash;                        </td>&ndash;&gt;-->
                <!--                    </tr>-->
                <!--                    </tbody>-->
                <!--                </table>-->
                <!--            </div>-->
                <!--        </div>-->
            </div>

        </div>
        <div class="col-md-4">
            <div class="row">
                <div class="shadow-sm p-3 mb-3 bg-body small border rounded">
                    <div class="row border-bottom mb-3">
                    <div class="col-md-12">
                        <div class="d-flex justify-content-between flex-wrap flex-md-nowrap align-items-center pt-0 pb-2">
                            <i class="fa-solid fa-calendar fa-1x me-2" style="color: rgb(21,39,131)">
                                <b style="color: rgb(21,39,131)" class="text-center">Acreditation Status</b>
                            </i>
<!--                            <b style="color: rgb(21,39,131)" class="text-center">Acreditation Status</b>-->
                        </div>
                    </div>
                    </div>
                    <div class="row border-bottom mb-3" th:each="dataAkreditasi, row : ${statusAkreditasi}">
                        <div class="col-md-12">
                            <div class="d-flex justify-content-between flex-wrap flex-md-nowrap align-items-center pt-0 pb-2">
<!--                                <span th:text="${row.index + 1}"></span>-->
                                <i class="fa-solid fa-building fa-1x me-2" style="color: rgb(243,94,116)">
                                    <b style="color: rgb(131,21,37)" class="text-start" th:text="${dataAkreditasi.getJenis()}"></b>
                                </i>
                                <b style="color: rgb(131,21,37)" class="pull-right" th:text="${dataAkreditasi.getNama()}"></b>
                            </div>
                            <div class="d-flex justify-content-between flex-wrap flex-md-nowrap align-items-center pt-0 pb-2">

<!--                                <span th:text="${dataAkreditasi[3]}">Total Revenue</span>-->

                                <span th:text="${'Due date : '+ #temporals.format(dataAkreditasi.getTanggal(),'dd-MMM-yyyy')}"></span>
                                <b style="color: rgb(211,95,23)" class="pull-right" th:text="${dataAkreditasi.getKeterangan()}"></b>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>

    <div class="row">
        <div class="col-md-5">
            <div class="shadow-sm p-3 mb-3 bg-body border rounded">
                <canvas id="canvas"></canvas>
            </div>
        </div>
        <div class="col-md-5">
            <div class="shadow-sm p-3 mb-3 bg-body border rounded">
                <canvas id="canvas2"></canvas>
            </div>
        </div>
        <div class="col-md-2">
            <div class="row">
                <div class="col-md-12" align="center">
                    <div class="shadow-sm p-3 mb-3 bg-body border rounded">
                    <span th:text="${'Student Performance on '+ performanceMahasiswa.getBulan()}">Student Performance</span>
                    <div class="chart" th:data-percent="${performanceMahasiswa.getRate()}" data-scale-color="#ffb400">
                        <span th:text="${performanceMahasiswa.getRate()+'%'}"></span>
                    </div>
                    </div>
                </div>
            </div>
            <div class="row">
                <div class="col-md-12" align="center">
                    <div class="shadow-sm p-3 mb-3 bg-body border rounded">
                    <span>Lecturer Performance</span>
                    <div class="chart2" data-percent="85" data-scale-color="#ffb400">85%</div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</main>
<section layout:fragment="footer">
<!--    <script src="https://cdnjs.cloudflare.com/ajax/libs/jquery/3.2.1/jquery.min.js"></script>-->
    <script src="https://cdnjs.cloudflare.com/ajax/libs/Chart.js/2.7.0/Chart.min.js"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/jquery/3.3.1/jquery.min.js"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/easy-pie-chart/2.1.6/jquery.easypiechart.min.js"></script>
<script>

    // $(function () {
    //     var ctx = document.getElementById("chart").getContext('2d');
    //     var json_url = "/api/pengajuandana/setahun";
    //     var myChart = new Chart(ctx, {
    //         type: 'line',
    //         data: {
    //             labels: [],
    //             datasets: [{
    //                 label: 'Request fund',
    //                 backgroundColor: 'rgba(161, 198, 247, 1)',
    //                 borderColor: 'rgb(47, 128, 237)',
    //                 data: [],
    //             }]
    //         },
    //         options: {
    //             scales: {
    //                 yAxes: [{
    //                     ticks: {
    //                         beginAtZero: true,
    //                     }
    //                 }]
    //             }
    //         },
    //     });
    //
    //     ajax_chart(myChart, json_url);
    //
    //     // function to update our chart
    //
    //     function ajax_chart(chart, url, data) {
    //         var data = data || {};
    //
    //         $.getJSON(url, data).done(function (response) {
    //             chart.data.labels = response.daftarBulan;
    //             chart.data.datasets[0].data = response.daftarTotal; // or you can iterate for multiple datasets
    //             chart.update(); // finally update our chart
    //         });
    //     }
    //
    // });



    $(function () {
        var ctx22 = document.getElementById("chartBulan").getContext('2d');
        var json_url22 = "/api/transaksi/setahun";
        var myChart22 = new Chart(ctx22, {
            type: 'line',
            data: {
                labels: [],
                datasets: [
                    {
                        label: "Revenue",
                        borderColor: "blue",
                        borderWidth: 2,
                        data: []
                    },
                    {
                        label: "Expense",
                        borderColor: "red",
                        borderWidth: 2,
                        data: []
                    }
                ]
            },
            options: {
                scales: {
                    yAxes: [{
                        ticks: {
                            beginAtZero: true,
                        }
                    }]
                }
            },
        });

        ajax_chart(myChart22, json_url22);

        // function to update our chart

        function ajax_chart(chart, url, data) {
            var data = data || {};

            function formatNumber(number) {
                return number.toString().replace(/\B(?=(\d{3})+(?!\d))/g, ",");
            }

            $.getJSON(url, data).done(function (response) {
                chart.data.labels = response.daftarNama;

                chart.data.datasets[0].data = response.daftarPemasukan;// or you can iterate for multiple datasets
                chart.data.datasets[1].data = response.daftarPengeluaran; // or you can iterate for multiple datasets
                chart.update(); // finally update our chart
            });
        }

    });





    $(function () {
        var ctxPendaftar = document.getElementById("chartPendaftar").getContext('2d');
        var json_url_pendaftar = "/api/pendaftarPertahun";
        var myChart_pendaftar = new Chart(ctxPendaftar, {
            type: 'line',
            data: {
                labels: [],
                datasets: [{
                    label: 'New Student History',
                    backgroundColor: 'rgb(243,181,190)',
                    borderColor: 'rgb(131,21,37)',
                    data: [],
                }]
            },
            options: {
                scales: {
                    yAxes: [{
                        ticks: {
                            beginAtZero: true,
                        }
                    }]
                }
            },
        });

        ajax_chart(myChart_pendaftar, json_url_pendaftar);

        // function to update our chart

        function ajax_chart(chart, url, data) {
            var data = data || {};

            $.getJSON(url, data).done(function (response) {
                chart.data.labels = response.daftarNama;
                chart.data.datasets[0].data = response.daftarJumlah; // or you can iterate for multiple datasets
                chart.update(); // finally update our chart
            });
        }

    });
</script>

    <script>
        function startTime() {
            const today = new Date();
            let h = today.getHours();

            for(i=0;i<=9;i++) {
                let hcopy = h;
                if(h==i) {
                    h = '0' + hcopy;
                }
            }

            let m = today.getMinutes();
            let s = today.getSeconds();
            m = checkTime(m);
            s = checkTime(s);
            document.getElementById('time').innerHTML =  h + ":" + m + ":" + s;
            setTimeout(startTime, 1000);
        }

        function checkTime(i) {
            if (i < 10) {i = "0" + i};  // add zero in front of numbers < 10
            return i;
        }
    </script>


    <script>

//         $(function () {
//             var ctxPendaftarTahun = document.getElementById("oilChart").getContext('2d');
//             var json_url_pendaftar_tahun = "/api/pendaftarPerprodi";
//             var myChart_pendaftar_tahun = new Chart(ctxPendaftarTahun, {
//                 type: 'pieChart',
//                 data: {
//                     labels: [],
//                     datasets: [{
//                         label: [0],
//                         data: [0],
//                         backgroundColor: [0],
//                         border:0
//                     }]
//                 },
//                 options: {
//                     scales: {
//                         yAxes: [{
//                             ticks: {
//                                 beginAtZero: true,
//                             }
//                         }]
//                     }
//                 },
//             });
//
//             ajax_chart(myChart_pendaftar_tahun, json_url_pendaftar_tahun);
//
// //             // function to update our chart
// // l;llsdsdas
//             function ajax_chart(chart, url, data) {
//                 var data22 = data || {};
//
//                 $.getJSON(url, data22).done(function (response5) {
//                     chart5.data.labels = response5.daftarProdi;
//                     chart5.data.datasets[0].data = response5.daftarJumlah;
//                     chart5.data.datasets[0].backgroundColor = response5.daftarWarna;
//                     chart5.update();
//                 });
//             }
//
//         });

        var json_url5 = "/api/pendaftarPerprodi";
        var data5 = {};

        fetch(json_url5, data5)
            .then(function(response5) {
                return response5.json();
            })
            .then(function(response5) {
                var chart5 = window.pieChart;
                chart5.data.labels = response5.daftarProdi;
                chart5.data.datasets[0].data = response5.daftarJumlah;
                chart5.data.datasets[0].backgroundColor = response5.daftarWarna;
                chart5.update();
            })
            .catch(function(error) {
                console.log(error);
            });
        // Membuat objek Chart awal dengan data dummy
        var oilData = {
            labels: [],
            datasets: [
                {
                    label: [0],
                    data: [0],
                    backgroundColor: [0],
                    border:0
                }
            ]
        };

        var pieOptions = {
            responsive: true,
            legend: {
                position: "right"
            },
            title: {
                display: true,
                text: "New Student"
            },
        };

        var oilCanvas = document.getElementById("oilChart");
        window.pieChart = new Chart(oilCanvas, {
            type: "pie",
            data: oilData,
            options: pieOptions
        });
    </script>



    <script>
        var json_url = "/api/mahasiswa/aktif";
        var data = {};

        fetch(json_url, data)
            .then(function(response) {
                return response.json();
            })
            .then(function(response) {
                var chart = window.myBar;
                chart.data.labels = response.daftarKodeProdi;
                chart.data.datasets[0].data = response.daftarMale;
                chart.data.datasets[1].data = response.daftarFemale;
                chart.data.datasets[2].data = response.daftarTotal;
                chart.update();
            })
            .catch(function(error) {
                console.log(error);
            });

        var barChartData = {
            labels: [],
            datasets: [
                {
                    label: "Male",
                    backgroundColor: "pink",
                    borderColor: "red",
                    borderWidth: 1,
                    data: [0]
                },
                {
                    label: "Female",
                    backgroundColor: "lightblue",
                    borderColor: "blue",
                    borderWidth: 1,
                    data: [1]
                },
                {
                    label: "Total",
                    backgroundColor: "lightgreen",
                    borderColor: "green",
                    borderWidth: 1,
                    data: [2]
                }
            ]
        };

        var chartOptions = {
            responsive: true,
            legend: {
                position: "top"
            },
            title: {
                display: true,
                text: "Student Active"
            },
            scales: {
                yAxes: [
                    {
                        ticks: {
                            beginAtZero: true
                        }
                    }
                ]
            }
        };
    </script>


    <script>

        $(function() {
            $('.chart').easyPieChart({
                size: 95,
                barColor: "#479859",
                scaleLength: 0,
                lineWidth: 15,
                trackColor: "#373737",
                lineCap: "circle",
                animate: 2000,
            });
        });

        $(function() {
            $('.chart2').easyPieChart({
                size: 95,
                barColor: "#9bc1f8",
                scaleLength: 0,
                lineWidth: 15,
                trackColor: "#373737",
                lineCap: "circle",
                animate: 2000,
            });
        });

        var json_url2 = "/api/dosen/aktif";
        var data2 = {};

        fetch(json_url2, data2)
            .then(function(response2) {
                return response2.json();
            })
            .then(function(response2) {
                var chart2 = window.myBar2;
                chart2.data.labels = response2.daftarKodeProdi;
                chart2.data.datasets[0].data = response2.daftarLb;
                chart2.data.datasets[1].data = response2.daftarHb;
                chart2.data.datasets[2].data = response2.daftarTotal;
                chart2.update();
            })
            .catch(function(error) {
                console.log(error);
            });

        var barChartData2 = {
            labels: [],
            datasets: [
                {
                    label: "LB",
                    backgroundColor: "red",
                    borderColor: "red",
                    borderWidth: 1,
                    data: [0]
                },
                {
                    label: "HB",
                    backgroundColor: "blue",
                    borderColor: "blue",
                    borderWidth: 1,
                    data: [1]
                },
                {
                    label: "Total",
                    backgroundColor: "green",
                    borderColor: "green",
                    borderWidth: 1,
                    data: [2]
                }
            ]
        };

        var chartOptions2 = {
            responsive: true,
            legend: {
                position: "top"
            },
            title: {
                display: true,
                text: "Lecturer Active"
            },
            scales: {
                yAxes: [
                    {
                        ticks: {
                            beginAtZero: true
                        }
                    }
                ]
            }
        };

        // window.onload = function() {
            var ctx2 = document.getElementById("canvas2").getContext("2d");
            window.myBar2 = new Chart(ctx2, {
                type: "bar",
                data: barChartData2,
                options: chartOptions2,
            });

            var ctx4 = document.getElementById("canvas").getContext("2d");
            window.myBar = new Chart(ctx4, {
                type: "bar",
                data: barChartData,
                options: chartOptions
            });
        // };

    </script>

    <script>
        setInterval(function() {
            window.location.href = '/dashboard_rektor';
        }, 300000);
    </script>

</section>
</body>
</html>